using System;
using System.Text.Json.Serialization;
namespace org.accordproject.time {
   using concerto;
   enum Month {
      January,
      February,
      March,
      April,
      May,
      June,
      July,
      August,
      September,
      October,
      November,
      December,
   }

   enum Day {
      Monday,
      Tuesday,
      Wednesday,
      Thursday,
      Friday,
      Saturday,
      Sunday,
   }

   enum TemporalUnit {
      seconds,
      minutes,
      hours,
      days,
      weeks,
   }

   class Duration : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.time.Duration";
      public long amount { get; set; }
      public TemporalUnit unit { get; set; }
   }
   enum PeriodUnit {
      days,
      weeks,
      months,
      quarters,
      years,
   }

   class Period : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.time.Period";
      public long amount { get; set; }
      public PeriodUnit unit { get; set; }
   }
}
